* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

/* Image courtesy of https://wallpaperaccess.com/full/1489217.jpg */
body {
    background-color: darkslategray;
    background-image: url("Dark-Black-Background-Texture.jpg");
    text-align: center;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.heading{
    margin-top: 0%;
    margin-bottom: 30px;
    border-bottom: double lightslategrey 10px;
    box-shadow: 0px 2px 10px
        rgba(135,206,235);
    
}

main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    flex: 1 0 0;
}

header {
    color:aquamarine;
    font-weight: bold;
    background-color: slategray;
}

h3 {
    color: skyblue;
}

p {
    color: skyblue;
    font-size: small;
    padding-left: 15%;
    padding-right: 15%;
    padding-top: 5px;
    padding-bottom: 5px;
}


.box {
    transition: all 0.5s ease-in-out;
    border: lightslategray solid 5px;
    background-color: darkslategray;
    border-radius: 10px;
    margin-top: 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 20px;
    min-width: 30%;
    max-width: 30%;
    height: 250px;
    text-align: center;
    opacity: .8;
}

.box header {
    transition: all 0.2s ease-in-out;
    width: fit-content;
    padding-left: 5%;
    padding-right: 5%;
    margin: auto;
    border: lightslategray solid 5px;
    border-radius: 10px;
    position: relative;
    margin-top: -20px;
        }

.box:hover, .box:hover header {
    box-shadow: inset 0px 0px 10px
        rgba(135,206,235), 0 0 15px
        rgba(127, 255, 212);
}
        
.box:hover, .box:hover .box  {
    box-shadow: inset 0px 0px 10px
        rgba(127, 255, 212), 0 0 15px
        rgba(135,206,235);
    opacity: 1;
}
    

pre {
    color: skyblue;
    background-image:linear-gradient( 
        rgb(47, 79, 79) 0%,
        rgb(112, 128, 144) 50%,
        rgb(119,136,153) 100%
    );
    text-align: left;
    user-select: all;
    white-space: pre-wrap;
    height: 160px;
    width: auto;
    margin-left: 5%;
    margin-right: 5%;
    border: gray dotted 2px;
    border-radius: 5px;
}

footer{
    margin-bottom: 0%;
    margin-top: 10px;
    padding-bottom: 5px;
    background-color: slategray;
    border-top: double lightslategrey 10px;
    box-shadow: 0px -2px 10px
        rgba(127, 255, 212);
    
}


@media screen and (max-width:1380px) {
    .box {
        min-width: 46%;
        max-width: 46%;
    }   
}

@media screen and (max-width:710px) {
    .box {
        min-width: 94%;
        max-width: 94%;
    }
}